/**
 * @description: 教材
 */
export const teaching = {
  1: '人教版',
  2: '声部训练',
  3: '小曲目',
  4: '考级曲目'
};

/**
 * @description: 乐器
 */
export const instrument = {
  1: '坚笛',
  2: '排萧',
  3: '口风琴',
  4: '陶笛',
  5: '葫芦丝'
};

/**
 * @description: 资源类型
 */
export const resourceType = {
  MUSIC: '乐谱',
  IMG: '图片',
  SONG: '音频',
  VIDEO: '视频',
  // PPT: 'PPT'
};

/**
 * @description: 评测难度
 * 入门：BEGINNER/进阶：ADVANCED/大师：PERFORMER")
 */
export const evaluateDifficult = {
  BEGINNER: '入门级',
  ADVANCED: '进阶级',
  PERFORMER: '大师级'
} as any;

/**
 * 训练完成状态
 */
export const trainingStatus = {
  UNSUBMITTED: '未提交',
  SUBMITTED: '未达标',
  TARGET: '达标'
} as any;

/** 周 */
export const weekToCN = {
  0: '星期天',
  1: '星期一',
  2: '星期二',
  3: '星期三',
  4: '星期四',
  5: '星期五',
  6: '星期六'
} as any;

/** 年级 */
export const gradeToCN = {
  1: '一年级',
  2: '二年级',
  3: '三年级',
  4: '四年级',
  5: '五年级',
  6: '六年级',
  7: '七年级',
  8: '八年级',
  9: '九年级'
} as any;

/**
 * 场景
 */
export const audioPlayType = {
  SING: '演唱',
  PLAY: '演奏',
  PLAY_SING: '演唱+演奏'
} as any;

/**
 * 管理权限
 */
export const teacherJobType = {
  TEACHER: '音乐老师',
  ADMIN: '管理员',
  HEADMASTER: '校长'
} as any;
